%define        cmc_version    0.2.5
%define        cs_version     0.1.0
%define        log_version    0.1.0

Name:          bndtask
Version:       0.2.0
Release:       %mkrel 1
Summary:       Luminis OSGi Bundle Ant Task
Group:         Development/Java 
License:       BSD
Url:           https://opensource.luminis.net/wiki/display/SITE/OSGi+Bundle+Ant+Task
# svn export  https://opensource.luminis.net/svn/BUNDLES/trunk/ bndtask-0.2.0
# tar czf bndtask-0.2.0-src-svn.tar.gz bndtask-0.2.0
Source0:       bndtask-0.2.0-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

# bndtask-0.2.0/build.xml:58: The following error occurred while executing this line:
# bndtask-0.2.0/net.luminis.cs/build.xml:24: The following error occurred while executing this line:
# bndtask-0.2.0/build.xml:102: taskdef class net.luminis.build.plugin.bnd.BuildTask cannot be found using the classloader AntClassLoader[]
#BuildRequires: ant

BuildRequires: ant17
BuildRequires: aqute-bndlib
BuildRequires: bindex
BuildRequires: easymock2

BuildRequires: eclipse-rcp

BuildRequires: felix-dependencymanager
BuildRequires: felix-log
BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core
BuildRequires: felix-osgi-foundation
BuildRequires: felix-shell

BuildRequires: liblog4j-java
BuildRequires: bsh
BuildRequires: qdox
BuildRequires: testng

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The OSGi bundle ant task is a wrapper around Bnd to allow easy bundle creation from ant builds.

%prep
%setup -q -n bndtask-%{version}
chmod -R go=u-w *

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

pushd ext
  ln -sf $(build-classpath log4j) log4j/log4j-1.2.15.jar
  ln -sf $(build-classpath ant17) ant.jar
  ln -sf $(build-classpath aqute-bndlib) bnd-0.0.238.jar
  ln -sf $(build-classpath easymock2) easymock.jar
  ln -sf $(build-classpath felix/org.apache.felix.dependencymanager) org.apache.felix.dependencymanager-0.9.0-SNAPSHOT.jar
  ln -sf $(build-classpath felix/org.apache.felix.shell) org.apache.felix.shell-1.0.0.jar
  ln -sf %{_libdir}/eclipse/plugins/org.eclipse.osgi_3.7.0.v20110613.jar org.eclipse.osgi_3.3.0.v20070530.jar
  ln -sf $(build-classpath felix/org.osgi.compendium) org.osgi.compendium-0.8.0-SNAPSHOT.jar
  ln -sf $(build-classpath felix/org.osgi.core) org.osgi.core-1.0.0.jar
  ln -sf $(build-classpath felix/org.osgi.foundation) org.osgi.foundation-0.9.0-SNAPSHOT.jar
  ln -sf $(build-classpath testng) testng-5.7-jdk15.jar
  ln -sf $(build-classpath bsh) .
  ln -sf $(build-classpath qdox) .

popd

ln -sf $(build-classpath bindex) lib/bindex.jar
# dont build with eclipse.osgi_3.7.0
#rm -rf net.luminis.cs/test/net/luminis/cs/test/ConnectorServiceTest.java
%build
export CLASSPATH=$(build-classpath log4j felix/org.apache.felix.log):classes
ant17 clean build deploy
# test
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}/ant
mkdir -p %{buildroot}%{_datadir}/ant/lib

install -pm 644 deploy/net.luminis.build.plugin-%{version}.jar \
  %{buildroot}%{_javadir}/ant/bndtask-%{version}.jar

install -pm 644 deploy/net.luminis.cmc-%{cmc_version}.jar \
  %{buildroot}%{_javadir}/net.luminis.cmc-%{version}.jar

install -pm 644 deploy/net.luminis.cs-%{cs_version}.jar \
  %{buildroot}%{_javadir}/net.luminis.cs-%{version}.jar

install -pm 644 deploy/net.luminis.log-%{log_version}.jar \
  %{buildroot}%{_javadir}/net.luminis.log-%{version}.jar

(
    cd %{buildroot}%{_javadir}/ant
    for jar in *-%{version}*; do
      ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
    done
    ln -sf ../../java/ant/bndtask-%{version}.jar %{buildroot}%{_datadir}/ant/lib/bndtask.jar
    ln -sf bndtask-%{version}.jar %{buildroot}%{_javadir}/net.luminis.build.plugin.jar
)

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

%files
%{_javadir}/ant/bndtask-%{version}.jar
%{_javadir}/ant/bndtask.jar
%{_datadir}/ant/lib/bndtask.jar
%{_javadir}/net.luminis.build.plugin.jar
%{_javadir}/net.luminis.cmc-%{version}.jar
%{_javadir}/net.luminis.cmc.jar
%{_javadir}/net.luminis.cs-%{version}.jar
%{_javadir}/net.luminis.cs.jar
%{_javadir}/net.luminis.log-%{version}.jar
%{_javadir}/net.luminis.log.jar
%doc shared/OSGI-OPT/LICENSE shared/OSGI-OPT/NOTICE



%changelog
* Thu Aug 11 2011 dmorgan <dmorgan> 0.2.0-1.mga2
+ Revision: 132723
- Clean spec file

  + gil <gil>
    - imported package bndtask

